Skip to main content
PUT
/
tasks
/
scheduled
/
{id}
Update a scheduled task
curl --request PUT \
  --url https://us.api.flexprice.io/v1/tasks/scheduled/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "enabled": true
}
'
import requests

url = "https://us.api.flexprice.io/v1/tasks/scheduled/{id}"

payload = { "enabled": True }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true})
};

fetch('https://us.api.flexprice.io/v1/tasks/scheduled/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "connection_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "enabled": true,
  "environment_id": "<string>",
  "id": "<string>",
  "job_config": {
    "bucket": "<string>",
    "endpoint_url": "<string>",
    "export_metadata_fields": [
      {
        "field_key": "<string>",
        "column_name": "<string>"
      }
    ],
    "key_prefix": "<string>",
    "region": "<string>",
    "use_path_style": true
  },
  "status": "<string>",
  "tenant_id": "<string>",
  "updated_at": "2023-11-07T05:31:56Z"
}
{
"http_status_code": 123,
"message": "<string>"
}
{
"http_status_code": 123,
"message": "<string>"
}
{
"http_status_code": 123,
"message": "<string>"
}

Authorizations

x-api-key
string
header
required

Enter your API key in the format x-api-key <api-key>*

Path Parameters

id
string
required

Scheduled Task ID

Body

application/json

Update request (enabled: true/false to pause/resume)

enabled
boolean
required

Response

OK

connection_id
string
created_at
string<date-time>
enabled
boolean
entity_type
enum<string>
Available options:
events,
invoice,
credit_topups,
credit_usage,
usage_analytics
environment_id
string
id
string
interval
enum<string>
Available options:
15MIN,
30MIN,
custom,
hourly,
daily
job_config
object
status
string
tenant_id
string
updated_at
string<date-time>